It said it already was the latest version (1.0-1), so it was already
installed and had been pulled in by some dependency.

-- 
You received this bug notification because you are a member of FreeIPA,
which is subscribed to dogtag-pki in Ubuntu.
https://bugs.launchpad.net/bugs/1755458

Title:
  NoClassDefFoundError: javax/annotation/Priority

Status in dogtag-pki package in Ubuntu:
  Incomplete

Bug description:
  Hi,

  I'm just testing the current pre-release version of 18.04 and tried to
  get the dogtag pki running. Although most things seem to work, there
  are some details which might show incompatibilities between the pki
  and the java version.

  When running

  pki ca authority find

  from the command line, I get lots of error messages of the form

  WARN: RESTEASY002145: NoClassDefFoundError: Unable to load builtin provider 
org.jboss.resteasy.plugins.providers.InputStreamProvider from 
jar:file:/usr/share/java/resteasy-jaxrs.jar!/META-INF/services/javax.ws.rs.ext.Providers
  java.lang.NoClassDefFoundError: javax/annotation/Priority
        at 
org.jboss.resteasy.spi.ResteasyProviderFactory.getPriority(ResteasyProviderFactory.java:1395)
        at 
org.jboss.resteasy.spi.ResteasyProviderFactory.registerProvider(ResteasyProviderFactory.java:1433)
        at 
org.jboss.resteasy.spi.ResteasyProviderFactory.registerProvider(ResteasyProviderFactory.java:1368)
        at 
org.jboss.resteasy.plugins.providers.RegisterBuiltin.registerProviders(RegisterBuiltin.java:71)
        at 
org.jboss.resteasy.plugins.providers.RegisterBuiltin.register(RegisterBuiltin.java:31)
        at 
org.jboss.resteasy.client.jaxrs.ResteasyClientBuilder.getProviderFactory(ResteasyClientBuilder.java:340)
        at 
org.jboss.resteasy.client.jaxrs.ResteasyClientBuilder.build(ResteasyClientBuilder.java:348)
        at 
com.netscape.certsrv.client.PKIConnection.<init>(PKIConnection.java:211)
        at com.netscape.certsrv.client.PKIClient.<init>(PKIClient.java:72)
        at com.netscape.cmstools.cli.MainCLI.getClient(MainCLI.java:559)
        at com.netscape.cmstools.cli.CLI.getClient(CLI.java:194)
        at com.netscape.cmstools.cli.CLI.getClient(CLI.java:194)
        at 
com.netscape.cmstools.authority.AuthorityCLI.getAuthorityClient(AuthorityCLI.java:40)
        at 
com.netscape.cmstools.authority.AuthorityFindCLI.execute(AuthorityFindCLI.java:61)
        at com.netscape.cmstools.cli.CLI.execute(CLI.java:345)
        at com.netscape.cmstools.cli.CLI.execute(CLI.java:345)
        at com.netscape.cmstools.cli.SubsystemCLI.execute(SubsystemCLI.java:67)
        at com.netscape.cmstools.cli.CLI.execute(CLI.java:345)
        at com.netscape.cmstools.cli.MainCLI.execute(MainCLI.java:633)
        at com.netscape.cmstools.cli.MainCLI.main(MainCLI.java:669)

  NoClassDefFoundError: javax/annotation/Priority

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: dogtag-pki 10.5.5-1
  ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
  Uname: Linux 4.15.0-10-generic x86_64
  ApportVersion: 2.20.8-0ubuntu10
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Mar 13 11:48:20 2018
  InstallationDate: Installed on 2018-03-05 (8 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180305)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=<set>
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  SourcePackage: dogtag-pki
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dogtag-pki/+bug/1755458/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~freeipa
Post to     : freeipa@lists.launchpad.net
Unsubscribe : https://launchpad.net/~freeipa
More help   : https://help.launchpad.net/ListHelp

Reply via email to